Nie mogę zainstalować rozszerzenia xml.

Odpowiedz Nowy wątek
2019-01-03 20:03
0

Cześć!
Mam ogromny problem z którym dziś praktycznie cały dzień walczyłem. Może Wy znajdziecie rozwiązanie.

Mianowicie potrzebuję zainstalować rozszerzenie xml do php'a w wersji 5.6.
Przy pierwszej instalacji nie było żadnych problemów, rzeczy które go używały bez problemu działały. Niestety, następnie musiałem doinstalować lua i chyba od tego momentu zaczęły się schody.

Gdy zobaczyłem błąd o nie istniejącym pliku xml.so próbowałem je ponownie zainstalować:

apt-get install php5.6-xml

Co niestety nie przyniosło rezultatu.
Następnie próbowałem reinstalacji przez:

apt-get install --reinstall php5.6-xml

Co również nie przyniosło żadnego rezultatu.
Próbowałem jeszcze odinstalować przez:

apt-get remove php5.6-xml

A następnie instalacji lecz to również nie dało żadnych efektów.

Przy instalacji zauważyłem że pliki się poprawnie pobierają ale trafiają do kompletnie innego katalogu niż powinny (wszystko mam w bodajże /usr/bin/php/20160303) natomiast te trafiają do jakiejś innej daty (niestety robię to na kompie firmowym do którego teraz nie mam dostępu).

Próbowałem po prostu przenieść pliki xml*.so do katalogu z którego brane są rozszerzenia, co niestety powoduje błąd, coś o niespodziewanym znaku w pliku .so lecz dokładnego błędu nie pamiętam.

Czy ktoś z Was spotkał się z czymś takim?

Dodam że lokalnie mam ubuntu, jakąś najnowszą wersję - jednakże numeru kompletnie nie pamiętam.

Z góry dziękuję za pomoc :)

edytowany 2x, ostatnio: NickOver, 2019-01-03 20:04

Pozostało 580 znaków

2019-01-03 20:39
0

Masz zainstalowane libxml2 oraz libxml2-dev?


Pozostało 580 znaków

2019-01-03 20:43
0

Tak. Jak pisałem wcześniej ładnie działało. Problem jest z samym pathem/czymś jeszcze pliku .so

edytowany 1x, ostatnio: NickOver, 2019-01-04 07:02

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0